include ../test_defines.mk

TARGET = run_test
OBJECTS = $(addprefix $(OBJDIR)/,$(notdir $(SOURCES:.c=.o)))

CURRENT_DIR = $(notdir $(shell pwd))
UNIT_TEST_SOURCES = $(wildcard ./*.c)
UNIT_TEST_DIR = $(OBJDIR)/$(CURRENT_DIR)
OBJECTS += $(addprefix $(UNIT_TEST_DIR)/,$(notdir $(UNIT_TEST_SOURCES:.c=.o)))

include ../test_targets.mk
